Page MenuHomePhabricator

modify service-pipeline to include helm install/helm test
Closed, ResolvedPublic

Description

Currently the service-pipeline builds and pushes the production image (service-pipeline-test-only runs unit tests for the image), we'll need to add the helm install and helm test.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 5 2018, 6:23 PM
dduvall claimed this task.Apr 3 2018, 6:21 PM
dduvall triaged this task as Medium priority.
dduvall moved this task from Backlog to In-progress on the Release-Engineering-Team (Kanban) board.
dduvall moved this task from Backlog to CI on the Release Pipeline board.

Change 425936 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[integration/config@master] WIP: Perform helm deployment in service-pipeline

https://gerrit.wikimedia.org/r/425936

Change 425936 merged by jenkins-bot:
[integration/config@master] Perform helm deployment in service-pipeline

https://gerrit.wikimedia.org/r/425936

dduvall closed this task as Resolved.Aug 13 2018, 7:30 PM